Deployments.ai Docs
Workflows

Show a workflow release

GET /v1/workflow-releases/{id} · SDK getWorkflowRelease · CLI deployments workflow-release show

GET
/v1/workflow-releases/{id}

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

WorkflowReleaseResponse

application/json
  1. response
environmentId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
projectId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
contentHash*string
Match^sha256:[a-f0-9]{64}$
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
createdByPrincipalId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
releaseNumber*integer
Range0 < value
status*string
Value in"active""archived"
version*integer
Range0 <= value
workflowDefinitionId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
definition*
curl -X GET "https://example.com/v1/workflow-releases/string" \  -H "x-deployments-environment: string"
{  "environmentId": "string",  "organizationId": "string",  "projectId": "string",  "contentHash": "string",  "createdAt": "2019-08-24T14:15:22Z",  "createdByPrincipalId": "string",  "id": "string",  "releaseNumber": 1,  "status": "active",  "version": 0,  "workflowDefinitionId": "string",  "definition": {    "description": "string",    "entryStepId": "string",    "name": "string",    "schemaVersion": 1,    "slug": "string",    "steps": [      {        "onFailure": "string",        "next": "string",        "agentDeploymentId": "string",        "id": "string",        "input": {          "property1": null,          "property2": null        },        "type": "agent"      }    ]  }}